Search documentation of wx

# View Source wxCheckListBox (wx v2.4.2)

Functions for wxCheckListBox class

A `wxCheckListBox` is like a `wxListBox`, but allows items to be checked or unchecked.

When using this class under Windows wxWidgets must be compiled with wxUSE_OWNER_DRAWN set to 1.

See: `wxListBox`, `wxChoice`, `wxComboBox`, `wxListCtrl`, `wxCommandEvent`

This class is derived (and can use functions) from: `wxListBox` `wxControlWithItems` `wxControl` `wxWindow` `wxEvtHandler`

wxWidgets docs: wxCheckListBox

## Events

Event types emitted from this class: `command_checklistbox_toggled`

# Summary

## Types

wxCheckListBox()

## Functions

check(This, Item)
check/3

Checks the given item.

destroy(This)

Destructor, destroying the list box.

isChecked(This, Item)

Returns true if the given item is checked, false otherwise.

new()

Default constructor.

new(Parent, Id)
new/3

Constructor, creating and showing a list box.

# Types

Link to this type

# wxCheckListBox()

View Source

    -type wxCheckListBox() :: wx:wx_object().

# Functions

Link to this function

# check(This, Item)

View Source

    -spec check(This, Item) -> ok when This :: wxCheckListBox(), Item :: integer().

Link to this function

# check/3

View Source

    -spec check(This, Item, [Option]) -> ok
                   when This :: wxCheckListBox(), Item :: integer(), Option :: {check, boolean()}.

Checks the given item.

Note that calling this method does not result in a `wxEVT_CHECKLISTBOX` event being emitted.

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxCheckListBox()) -> ok.

Destructor, destroying the list box.

Link to this function

# isChecked(This, Item)

View Source

    -spec isChecked(This, Item) -> boolean() when This :: wxCheckListBox(), Item :: integer().

Returns true if the given item is checked, false otherwise.

Link to this function

# new()

View Source

    -spec new() -> wxCheckListBox().

Default constructor.

Link to this function

# new(Parent, Id)

View Source

    -spec new(Parent, Id) -> wxCheckListBox() when Parent :: wxWindow:wxWindow(), Id :: integer().

Link to this function

# new/3

View Source

    -spec new(Parent, Id, [Option]) -> wxCheckListBox()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Id :: integer(),
                     Option ::
                         {pos, {X :: integer(), Y :: integer()}} |
                         {size, {W :: integer(), H :: integer()}} |
                         {choices, [unicode:chardata()]} |
                         {style, integer()} |
                         {validator, wx:wx_object()}.

Constructor, creating and showing a list box.